package com.cooleshow.student.adapter;

import android.widget.ImageView;
import android.widget.TextView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.cooleshow.base.utils.GlideUtils;
import com.cooleshow.student.R;
import com.cooleshow.student.bean.AddressBean;
import com.cooleshow.student.bean.AppHomeBean;

import java.util.List;

/**
 * 创建日期：2022/5/26 18:00
 *
 * @author Ryan
 * 类说明：
 */
public class HomeMenuItemAdapter extends BaseQuickAdapter<AppHomeBean.ItemBean, BaseViewHolder> {

    public HomeMenuItemAdapter(List<AppHomeBean.ItemBean> data) {
        super(R.layout.layout_home_menu_item, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, AppHomeBean.ItemBean item) {
        ImageView im_pic = helper.getView(R.id.im_pic);
        TextView tv_title = helper.getView(R.id.tv_title);
        GlideUtils.INSTANCE.loadImage(getContext(), item.coverImage, im_pic);
        tv_title.setText(item.title);
    }
}
